Bug 13651 - Provision for monthly library fee
Summary: Provision for monthly library fee
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P3 enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
: 9096 18038 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-02-02 04:35 UTC by vimal kumar
Modified: 2020-01-11 18:57 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vimal kumar 2015-02-02 04:35:18 UTC
Dear Developers,
Many public libraries charge monthly subscription fee (e.g. INR 30 per month)for patrons. We would like to see a provision for charging monthly fee in coming version.
Comment 1 Owen Leonard 2015-02-02 14:35:00 UTC
I think Koha can already do what you want:

Set up a patron category which has an enrollment period of one month and an enrollment fee of INR 30. Each month the patron's account will expire. When you renew the account the fee will be automatically added.

If that sounds like what you need please mark this bug as resolved-invalid.
Comment 2 vimal kumar 2015-02-02 16:20:13 UTC
Thank you for the information.
I will share the information to public library people.
Comment 3 Indranil Das Gupta 2015-02-02 18:06:26 UTC
Owen: No this actually does not solve the issue. Here is why :

1/ There is often an one-time enrolment fee and then a monthly subscription in some cases. 

2/ The membership categories in public libraries are often defined in Acts of the state and hence has statutory parameters. A 30-day enrolment would "solve" the problem "technically", but it will create legal non-compliance. An example:

A solution as proposed will be in violation of Section 3(3) sub clause (b), Section 3 (5), Section 5 (4) sub-clause (a) and (b) of West Bengal Sponsored Public Library Management Rules, 2005 - http://www.wbpublibnet.gov.in:8080/openenrichv41/LIBRARY_new/pdf/man-rules.pdf as notified by the Government of West Bengal.

3/ Likely to complicate matter than solve it.
Comment 4 Indranil Das Gupta 2015-02-02 18:09:21 UTC
Changed component to Patron (from Circulation), Importance to P3 enhancement (from 'new feature) as it calls for extending the patron category.
Comment 5 Indranil Das Gupta 2015-02-02 20:00:25 UTC
*** Bug 9096 has been marked as a duplicate of this bug. ***
Comment 6 Prasanth M.P. 2015-02-03 04:18:06 UTC
 Each month the patron's account will expire,the solution practically not possible bacause most of the members subscription fee payment lumsum in 6 months or 3 months sometime due 3 or 4 months.In this case the solution deosent work..? circulation continues.Clear subscription fee every month, most of public libraries survival is not possible..
Comment 7 Owen Leonard 2015-02-03 13:07:03 UTC
I think "New" is the correct status for this bug since it's open and unassigned. We don't have an established procedure for using "verified" or "wishlist."
Comment 8 Katrin Fischer 2020-01-11 18:57:33 UTC
*** Bug 18038 has been marked as a duplicate of this bug. ***